### Hierarchy

- FormatInputPathObject

## Index

### Properties

- base
- dir
- ext
- name
- root

## Properties

### Optional base

base: undefined | string

- Defined in node_modules/@types/node/path.d.ts:39

The file name including extension (if any) such as 'index.html'

### Optional dir

dir: undefined | string

- Defined in node_modules/@types/node/path.d.ts:35

The full directory path such as '/home/user/dir' or 'c:\path\dir'

### Optional ext

ext: undefined | string

- Defined in node_modules/@types/node/path.d.ts:43

The file extension (if any) such as '.html'

### Optional name

name: undefined | string

- Defined in node_modules/@types/node/path.d.ts:47

The file name without extension (if any) such as 'index'

### Optional root

root: undefined | string

- Defined in node_modules/@types/node/path.d.ts:31

The root of the path such as '/' or 'c:'

Generated using TypeDoc